Cumulus TalosDocs
Open Talos
On this page

call_limits.get

Read the tenant's own daily outbound call limit and the outbound calls placed in the last 24 hours

Request

GET /api/v1/telephony/call-limit

  • MCP: call_limits_get
  • SDK: client.call_limits.get (SDK path arguments use path; MCP uses params).
  • Minimum API key role: viewer.
  • Idempotency: none.

Use the request schema below. Read IDs from earlier operation results.

Input schema

json
{
  "parameters": [],
  "requestBody": null
}

Responses

json
{
  "200": {
    "description": "Read the tenant's own daily outbound call limit and the outbound calls placed in the last 24 hours",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/CallLimitsGetResponse200"
        }
      }
    }
  },
  "4XX": {
    "description": "Typed error (ApiError)",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/ApiError"
        }
      }
    }
  },
  "5XX": {
    "description": "Typed error (ApiError)",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/ApiError"
        }
      }
    }
  }
}

Referenced schemas

json
{
  "components": {
    "schemas": {
      "CallLimitsGetResponse200": {
        "type": "object",
        "properties": {
          "configured": {
            "type": "boolean"
          },
          "daily_outbound_limit": {
            "type": "integer",
            "minimum": 1,
            "maximum": 10000000,
            "nullable": true
          },
          "outbound_last_24h": {
            "type": "integer",
            "minimum": 0
          }
        },
        "required": [
          "configured",
          "daily_outbound_limit",
          "outbound_last_24h"
        ],
        "additionalProperties": false
      },
      "ApiError": {
        "type": "object",
        "properties": {
          "error": {
            "type": "object",
            "properties": {
              "code": {
                "type": "string",
                "enum": [
                  "unauthenticated",
                  "forbidden",
                  "not_found",
                  "conflict",
                  "invalid_request",
                  "idempotency_conflict",
                  "policy_denied",
                  "capability_unavailable",
                  "provider_unavailable",
                  "knowledge_unavailable",
                  "publication_invalid",
                  "run_not_active",
                  "rate_limited",
                  "outcome_unknown",
                  "internal"
                ]
              },
              "message": {
                "type": "string"
              },
              "retryable": {
                "type": "boolean"
              },
              "outcome": {
                "type": "string",
                "enum": [
                  "none",
                  "unknown"
                ]
              },
              "details": {
                "type": "object",
                "additionalProperties": {}
              }
            },
            "required": [
              "code",
              "message",
              "retryable",
              "outcome"
            ],
            "additionalProperties": false
          }
        },
        "required": [
          "error"
        ],
        "additionalProperties": false
      }
    }
  }
}

Errors and recovery

See API error handling and Troubleshooting.

Content version 68b944deMarkdown source
call_limits.get · Cumulus Talos docs